from periodictable import elements

def get_element(symbol):
    try:
        return elements.symbol(symbol)
    except KeyError:
        raise ValueError(f"Element '{symbol}' not found.")

def get_atomic_mass(symbol):
    return get_element(symbol).mass

def get_atomic_number(symbol):
    return get_element(symbol).number

def get_name(symbol):
    return get_element(symbol).name

def get_density(symbol):
    return get_element(symbol).density

def describe_element(symbol):
    el = get_element(symbol)
    return {
        "Symbol": el.symbol,
        "Name": el.name,
        "Atomic Number": el.number,
        "Atomic Mass": el.mass,
        "Density": el.density
    }
