def convert_length(value, from_unit, to_unit):
    units = {
        'm': 1,
        'km': 1000,
        'cm': 0.01,
        'mm': 0.001,
        'mi': 1609.34,
        'ft': 0.3048,
        'in': 0.0254
    }
    return value * units[from_unit] / units[to_unit]

def convert_mass(value, from_unit, to_unit):
    units = {
        'kg': 1,
        'g': 0.001,
        'mg': 1e-6,
        'lb': 0.453592,
        'oz': 0.0283495
    }
    return value * units[from_unit] / units[to_unit]

def convert_time(value, from_unit, to_unit):
    units = {
        's': 1,
        'min': 60,
        'h': 3600,
        'day': 86400
    }
    return value * units[from_unit] / units[to_unit]

def convert_temperature(value, from_unit, to_unit):
    if from_unit == to_unit:
        return value

    # Convert from from_unit to Celsius
    if from_unit == 'C':
        celsius = value
    elif from_unit == 'F':
        celsius = (value - 32) * 5 / 9
    elif from_unit == 'K':
        celsius = value - 273.15
    else:
        raise ValueError("Invalid from_unit")

    # Convert Celsius to to_unit
    if to_unit == 'C':
        return celsius
    elif to_unit == 'F':
        return celsius * 9 / 5 + 32
    elif to_unit == 'K':
        return celsius + 273.15
    else:
        raise ValueError("Invalid to_unit")

def convert_volume(value, from_unit, to_unit):
    units = {
        'l': 1,
        'ml': 0.001,
        'gal': 3.78541,
        'cup': 0.24
    }
    return value * units[from_unit] / units[to_unit]

def convert_speed(value, from_unit, to_unit):
    units = {
        'm/s': 1,
        'km/h': 1000 / 3600,
        'mph': 1609.34 / 3600
    }
    return value * units[from_unit] / units[to_unit]
